module PersonalConference
  class Engine < ::Rails::Engine
  	initializer "personal_conference" do
		OrbitApp.registration "PersonalConference",:type=> 'ModuleApp' do
			module_label 'module_name.personal_conference'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '6', :app_name=>"WritingConference", :intro_app_name=>"PersonalConferenceIntro",:path=>"/plugin/personal_conference/profile",:front_path=>"/profile",:admin_path=>"/admin/writing_conferences",:i18n=>'module_name.personal_conference', :module_app_name=>'PersonalConference', :one_line_title => true, :field_modifiable => true, :analysis => true, :analysis_path => "/admin/writing_conferences/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			authorizable
			is_personal_plugin true
			frontend_enabled
			data_count 1..10
			icon_class_no_sidebar "icons-user"
		end
	end
  end
end
